Package Details: lib32-kmod 30-1

Git Clone URL: https://aur.archlinux.org/lib32-kmod.git (read-only, click to copy)
Package Base: lib32-kmod
Description: Linux kernel module handling
Upstream URL: http://git.kernel.org/?p=utils/kernel/kmod/kmod.git;a=summary
Licenses: GPL2
Submitter: lordheavy
Maintainer: sbmomeni
Last Packager: sbmomeni
Votes: 87
Popularity: 0.032507
First Submitted: 2012-02-08 20:34 (UTC)
Last Updated: 2022-07-27 04:54 (UTC)

Latest Comments

CyberShadow commented on 2018-10-29 18:06 (UTC)

In a clean chroot:

==> Starting build()...
checking for gcc... gcc -m32
checking whether the C compiler works... no
configure: error: in `/build/lib32-kmod/src/kmod-25':
configure: error: C compiler cannot create executables
See `config.log' for more details
==> ERROR: A failure occurred in build().

Looks like a missing dependency.

Nexxuz commented on 2018-03-08 12:40 (UTC)

well now I feel stupid... I thought I did... now it works :-) thank you

rafaelff commented on 2018-03-08 03:57 (UTC)

@Nexxuz: you should use "gpg --recv-keys" instead of "pacman --recv-keys".

Nexxuz commented on 2018-03-08 03:49 (UTC) (edited on 2018-03-08 03:53 (UTC) by Nexxuz)

I am getting a pgp error on this package.

kmod-25.tar ... FAILED (unknown public key 9BA2A5A630CBEA53)

ERROR: One or more PGP signatures could not be verified!

failed to verify lib32-kmod integrity

Full output here on pastebin https://pastebin.com/dVseVNsQ

Cromer commented on 2017-04-21 00:10 (UTC)

The link has changed again, now it is: https://www.kernel.org/pub/linux/utils/kernel/kmod/kmod-23.tar.xz

aaronjameslang commented on 2016-09-24 21:33 (UTC)

> Modifying download link from ftp://ftp.kernel.org/pub/linux/utils/kernel/kmod/kmod-21.tar.xz to http://ftp.kernel.org/pub/linux/utils/kernel/kmod/kmod-21.tar.xz Confirmed This package now appears to be required to run steam > The ftp:protocol link works all fine on my machine. Does http work on your machine? If so it would be good to change to something that works for everybody :) Thanks

kprkpr commented on 2016-09-23 22:08 (UTC) (edited on 2016-09-25 09:39 (UTC) by kprkpr)

Same here too.. with ftp://ftp.kernel.org link doesnt works, and http://ftp.kernel.org yes

nicoulaj commented on 2016-06-06 15:51 (UTC)

Same here, tested from several locations. Modifying the scheme to http works.

Emeric commented on 2016-03-08 20:24 (UTC)

I have the same problem, maybe my ISP is blocking this because I cannot get to ftp.kernel.org, using firefox or an ftp client !?

Huulivoide commented on 2015-11-19 21:31 (UTC)

The ftp:protocol link works all fine on my machine.

vinc_e commented on 2015-11-19 21:29 (UTC)

Modifying download link from ftp://ftp.kernel.org/pub/linux/utils/kernel/kmod/kmod-21.tar.xz to http://ftp.kernel.org/pub/linux/utils/kernel/kmod/kmod-21.tar.xz works for me.

belseuand commented on 2015-06-22 12:33 (UTC)

The download and git links are broken here in AUR4, in AUR it still works.

commented on 2015-05-12 19:45 (UTC)

new version 20-1

rafaelff commented on 2015-01-22 19:32 (UTC)

What? Steam from [multilib] depends on libudev0 and lib32-kmod from AUR?

shoober420 commented on 2015-01-22 18:48 (UTC)

Please update this to 19-1. I can't run Steam without the runtime since this is a dependancy of libudev0.

jtts commented on 2013-04-20 01:13 (UTC)

New version 13-1: PKGBUILD: http://pastebin.com/UfZTUseW

jtts commented on 2012-12-11 16:21 (UTC)

New version 12-1: PKGBUILD: http://pastebin.com/ar4i7STv

jtts commented on 2012-11-18 15:41 (UTC)

Update to version 11-2: PKGBUILD: http://pastebin.com/HTb1VFyV 0001-depmod-fix-hash-lookup-by-relpath-instead-of-uncrelp.patch: https://projects.archlinux.org/svntogit/packages.git/plain/trunk/0001-depmod-fix-hash-lookup-by-relpath-instead-of-uncrelp.patch?h=packages/kmod&id=519183e3d3f8478731e49e8f5a80c3b61d8690b0 0002-depmod-fix-asserting-mod-kmod-NULL.patch: https://projects.archlinux.org/svntogit/packages.git/plain/trunk/0002-depmod-fix-asserting-mod-kmod-NULL.patch?h=packages/kmod&id=519183e3d3f8478731e49e8f5a80c3b61d8690b0

jtts commented on 2012-11-16 15:06 (UTC)

Update to version 11-1: PKGBUILD: http://pastebin.com/MTkSSQCP

jtts commented on 2012-10-25 18:54 (UTC)

I updated the package to version 10-2: PKGBUILD: http://pastebin.com/esvrSZkE 0001-depmod-fix-parsing-of-modules.order-with-compressed-.patch: http://pastebin.com/5mFYX05S 0001-libkmod-Add-support-for-.-in-module-parameter-on-kcm.patch: http://pastebin.com/bD8CPzUK

lordheavy commented on 2012-02-08 20:34 (UTC)

Moved from multilib to unsupported